commit:     7f05a0fe3db74bcdd9e8266adac3e7067a5b8af9
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Wed Jan 27 15:33:32 2021 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Wed Jan 27 15:34:09 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7f05a0fe

dev-libs/libbytesize: Bump to version 2.5

Package-Manager: Portage-3.0.14, Repoman-3.0.2
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>

 dev-libs/libbytesize/Manifest               |  1 +
 dev-libs/libbytesize/libbytesize-2.5.ebuild | 89 +++++++++++++++++++++++++++++
 2 files changed, 90 insertions(+)

diff --git a/dev-libs/libbytesize/Manifest b/dev-libs/libbytesize/Manifest
index 2b170e079f4..6af4c18dc35 100644
--- a/dev-libs/libbytesize/Manifest
+++ b/dev-libs/libbytesize/Manifest
@@ -1,2 +1,3 @@
 DIST libbytesize-2.3.tar.gz 438198 BLAKE2B 
583450b66781bbb16298507292ffe60012ccc296f0822784ead13bcf1ce3f9a9cf7c2341d5f64d3356fb78aefb3e6b0770bce64ebf85aa92d168277d35f9629c
 SHA512 
23720b90f4dbf7880a640ec04e910c4c1f34637dd3621900772187cb2e1d04ec34d4900ce3c9b4083ac462b411d5a409a644f62ed76b2c57ef1f11432c58be8a
 DIST libbytesize-2.4.tar.gz 437416 BLAKE2B 
4739b6ce5bf852112a5c662e3b5a29428df4a6b0fdd933293a1352e7f81f7ca3c274ed160ade38a705e9858bd2c37131a7409126d28d12ba0d47b64f88c78e31
 SHA512 
faa546823c95576516a5f4250ea51b381fe5ff6b9d09fc49346e65278e9be42fffd2566dcc24b4e0045cee15dcaead05c1fd1f5f51048c87c382298f7340e1d6
+DIST libbytesize-2.5.tar.gz 439194 BLAKE2B 
8d2cd82cea1e95f3368eed5855abfbc89b410fe1d627f7cbe69974f0d1fc89b600c93ad242816a37c3585b8318fcce77ef0fe6ab349d10f34a8be4c69303e343
 SHA512 
730d9c84bfc7199424fa34de5037dd9187d60c1f32d82cedc3e395167bf39a98a3b7f20b15f154206e797144c11de05ae0f606e0af6a2157ed946f138a346ad6

diff --git a/dev-libs/libbytesize/libbytesize-2.5.ebuild 
b/dev-libs/libbytesize/libbytesize-2.5.ebuild
new file mode 100644
index 00000000000..53cb6527116
--- /dev/null
+++ b/dev-libs/libbytesize/libbytesize-2.5.ebuild
@@ -0,0 +1,89 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6..9} )
+
+inherit autotools python-r1
+
+DESCRIPTION="Tiny library providing a C \"class\" for working with arbitrary 
big sizes in bytes"
+HOMEPAGE="https://github.com/storaged-project/libbytesize";
+SRC_URI="https://github.com/storaged-project/libbytesize/releases/download/${PV}/${P}.tar.gz";
+LICENSE="LGPL-2+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86"
+IUSE="doc python test tools"
+
+REQUIRED_USE="
+       python? ( ${PYTHON_REQUIRED_USE} )
+       tools? ( python )
+"
+
+RDEPEND="
+       dev-libs/gmp:0=
+       dev-libs/mpfr:=
+       dev-libs/libpcre2
+       python? ( ${PYTHON_DEPS} )
+"
+
+DEPEND="${RDEPEND}"
+
+BDEPEND="
+       sys-devel/gettext
+       doc? ( dev-util/gtk-doc )
+       test? (
+               dev-python/pocketlint[${PYTHON_USEDEP}]
+               dev-python/polib[${PYTHON_USEDEP}]
+       )
+"
+
+DOCS=( README.md )
+
+RESTRICT="test"
+
+PATCHES=(
+       "${FILESDIR}/${PN}-2.4-no_Werror.patch"
+)
+
+python_do() {
+       if use python; then
+               python_foreach_impl run_in_build_dir "$@"
+       else
+               "$@"
+       fi
+}
+
+src_prepare() {
+       default
+       eautoreconf
+}
+
+src_configure() {
+       local myeconfargs=(
+               $(use_with doc gtk-doc)
+               $(use_with python python3)
+               $(use_with tools)
+       )
+       local ECONF_SOURCE="${S}"
+       python_do econf "${myeconfargs[@]}"
+}
+
+src_compile() {
+       python_do emake
+}
+
+src_test() {
+       python_do emake check
+}
+
+install_helper() {
+       emake DESTDIR="${D}" install
+       use python && python_optimize
+}
+
+src_install() {
+       python_do install_helper
+       einstalldocs
+       find "${ED}" -name "*.la" -type f -delete || die
+}

Reply via email to